Package org.apache.lucene.util.automaton

# Class UTF32ToUTF8

java.lang.Object
org.apache.lucene.util.automaton.UTF32ToUTF8

public final class UTF32ToUTF8 extends Object
Converts UTF-32 automata to the equivalent UTF-8 representation.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UTF32ToUTF8()`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Automaton`
  `convert(Automaton utf32)`
  Converts an incoming utf32 automaton to an equivalent utf8 one.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UTF32ToUTF8

    public UTF32ToUTF8()
    Sole constructor.

- ## Method Details

  - ### convert

    public Automaton convert(Automaton utf32)
    Converts an incoming utf32 automaton to an equivalent utf8 one. The incoming automaton need not be deterministic. Note that the returned automaton will not in general be deterministic, so you must determinize it if that's needed.